## org.apache.tools.ant.taskdefs
Class Filter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Filter

All Implemented Interfaces:
  java.lang.Cloneable

    public class Filter

extends Task

Sets a token filter that is used by the file copy tasks to do token substitution. Sets multiple tokens by reading these from a file.

Since:
  Ant 1.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Filter()`

Method Summary
`void` `execute()` Execute the task.
`protected void` `readFilters()` Read the filters.
`void` `setFiltersfile(java.io.File filtersFile)` The file from which the filters must be read.
`void` `setToken(java.lang.String token)` The token string without @ delimiters.
`void` `setValue(java.lang.String value)` The string that should replace the token during filtered copies.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### setToken

    public void setToken(java.lang.String token)

  The token string without @ delimiters.

  Parameters:
    `token` - token to set

### setValue

    public void setValue(java.lang.String value)

  The string that should replace the token during filtered copies.

  Parameters:
    `value` - token replace value

### setFiltersfile

    public void setFiltersfile(java.io.File filtersFile)

  The file from which the filters must be read. This file must be a formatted as a property file.

  Parameters:
    `filtersFile` - filter file

### execute

    public void execute()
                 throws BuildException

  Execute the task.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - on error

### readFilters

    protected void readFilters()
                        throws BuildException

  Read the filters.

  Throws:
    `BuildException` - on error